Autor Tópico: Instale DraftSight Ubuntu 12.04, 13.04/Linux Mint 15 e Ubuntu 13.10 64 bits  (Lida 19451 vezes)

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Para quem deseja utilizar desenhos orientados por computador, apenas com 2D, popularmente chamados de CAD, onde o software mais conhecido mundialmente é o AutoCAD, existe uma alternativa muito boa, gratuita e compatível com os arquivos .dwg do AutoCAD: DraftSight.


Para instalar o aplicativo no Ubuntu/Linux Mint, faça o download do mesmo utilizando o link a seguir:

Código: [Selecionar]
wget http://www.draftsight.com/download-linux-ubuntu

Depois, ainda no terminal, digite o seguinte comando:

Código: [Selecionar]
sudo apt-get update && sudo apt-get install gdebi

Dê <Enter>, digite a senha e <Enter> novamente.

Espere terminar o processo de instalação do GDebi.

Logo após o fim da instalação do aplicativo pelo terminal, vá até a pasta onde está o arquivo do DraftSight.

Clique sobre o mesmo com o botão direito do mouse e selecione "Abrir com o instalador de pacotes GDebi"

Dê permissão de instalação, digitando a sua senha e espere terminar o processo. Ao final, o melhor aplicativo substituto do AutoCAD para GNU/Linux instalado no seu computador com Ubuntu (e suas variações também) 64 bits.

Se faltar pacotes ainda, basta rodar o seguinte comando via terminal:

Código: [Selecionar]
sudo apt-get install libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libglu1-mesa:i386
Fonte desta forma de instalação: Ubuntu Hand Book







Sistemas 64 bits:

Código: [Selecionar]
sudo apt-get install libdirectfb-extra libxcb-render-util0
sudo dpkg --force-all -i draftSight.deb
sudo apt-get -f install

EDIT 23/03/2014

Para quem utiliza o Ubuntu, ou suas variações, em 64 bits, para instalar o DraftSight, faça o seguinte:

Insira o seguinte repotório do Ubuntu 13.04, seguindo a seguinte dica do Tota neste tópico

Citar
Instale o  Synaptic a partir do terminal

Código: [Selecionar]
sudo apt-get install synaptic
abra o synaptic e vá em “configurações > Repositorios”

clique em  “outros softwares > adicionar”

insira esta linha na caixa de dialogo "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse"

clique em ok e feche o  synaptic

depois
Código: [Selecionar]
sudo apt-get update
Código: [Selecionar]
sudo apt-get install ia32-libs

Aqui um print do DraftSight recém instalado no meu notebook:







OBS.:

Após a instalação do pacote ia32-libs, desabilite, ou remova a linha "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse" para evitar problemas futuros em atualizações!

Depois não digam que não avisei...!!!

Sistemas 32 bits:

Código: [Selecionar]
sudo apt-get install ia32-libs libdirectfb-extra libxcb-render-util0
sudo dpkg -i draftSight.deb
sudo apt-get -f install


Se o DraftSight não for "encontrado", provavelmente o link não foi colocado automaticamente em /usr/bin/DraftSight. Nesse caso, tente:

Código: [Selecionar]
cd /opt/dassault-systemes/draftsight/bin
E digite:

Código: [Selecionar]
./draftsight

Se isso funcionar, então você precisará criar um link simbólico para o binário, digitando no terminal:

Código: [Selecionar]
sudo ln -s /opt/dassault-systemes/draftsight/bin/draftsight /usr/bin/draftsight

Se você não tem um ícone no menu "Iniciar" do Ubuntu, tente fazer no Terminal:

Código: [Selecionar]
sudo nano /usr/share/applications/draftsight.desktop
e cole este conteúdo neste arquivo, em seguida, salva e tenta seu menu iniciar novamente:

Código: [Selecionar]
[Desktop Entry]
Name=DraftSight (Linux)
Comment=Edit DWG/DXF files
GenericName=DraftSight
Exec="/opt/dassault-systemes/draftsight/bin/draftsight"
Type=Application
Terminal=false
Icon=dassault-systemes.draftsight

Categories=Application;Graphics;


Espero que esse tutorial seja útil a todos que necessitam utilzar esse excelente software.

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-

Atualização, 04/07/2016

Para quem necessita instalar o DraftSight no Ubuntu Xenial (16.04) e encontra erro de dependências de bibliotecas e o aplicativo solicita que seja reinstalado, basta rodar o comando a seguir no terminal e o DraftSight funcionará normalmente:

Código: [Selecionar]
sudo apt-get install libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev
« Última modificação: 04 de Julho de 2016, 13:00 por jkmsjq »
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline cabruca

  • Usuário Ubuntu
  • *
  • Mensagens: 88
    • Ver perfil
Re: Instalando DraftSight no Ubuntu/Linux Mint
« Resposta #1 Online: 27 de Novembro de 2013, 01:38 »
Consegui fazer o download. Mas logo no primeiro comando deu erro:

Código: [Selecionar]
sudo apt-get install ia32-libs libdirectfb-extra libxcb-render-util0
[sudo] password for xxx:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências      
Lendo informação de estado... Pronto
O pacote ia32-libs não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

Ubuntu 12.04 32 bits

Valeu!
« Última modificação: 27 de Novembro de 2013, 15:09 por cabruca »

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instalando DraftSight no Ubuntu/Linux Mint
« Resposta #2 Online: 27 de Novembro de 2013, 08:47 »
Consegui fazer o download. Mas logo no primeiro comando deu erro:
[...]
Ubuntu 12.04.

Valeu!

Qual arquitetura do Ubuntu utilizado: 32 ou 64 bits?

Aqui instalei seguindo esses procedimentos postados e deu certo... fico no aguardo de suas respostas..!!!
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline Sergio Benjamim

  • Usuário Ubuntu
  • *
  • Mensagens: 2.902
    • Ver perfil
Re: Instalando DraftSight no Ubuntu/Linux Mint
« Resposta #3 Online: 27 de Novembro de 2013, 15:37 »
jkmsjq, você tentou essa dica no ubuntu 13.10?

Não há mais pacote ia32-libs no ubuntu 13.10 64 bits e superiores, eu notei quando fui tentar instalar o epsxe.

Você sabe exatamente quais as dependências do DraftSight?
É novo no Ubuntu? Já leu o Ubuntu – Guia do Iniciante 2.0 ?
Experimente o Xubuntu 14.04 !

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instalando DraftSight no Ubuntu/Linux Mint
« Resposta #4 Online: 27 de Novembro de 2013, 15:40 »
jkmsjq, você tentou essa dica no ubuntu 13.10?

Não há mais pacote ia32-libs no ubuntu 13.10 64 bits e superiores, eu notei quando fui tentar instalar o epsxe.

Você sabe exatamente quais as dependências do DraftSight?

Eu instalei no Linux Mint 15 seguindo os passos de instalação Sistemas 64 bits e funciona perfeitamente.
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline Sergio Benjamim

  • Usuário Ubuntu
  • *
  • Mensagens: 2.902
    • Ver perfil
Re: Instalando DraftSight no Ubuntu/Linux Mint
« Resposta #5 Online: 27 de Novembro de 2013, 15:43 »
jkmsjq, você tentou essa dica no ubuntu 13.10?

Não há mais pacote ia32-libs no ubuntu 13.10 64 bits e superiores, eu notei quando fui tentar instalar o epsxe.

Você sabe exatamente quais as dependências do DraftSight?

Eu instalei no Linux Mint 15 seguindo os passos de instalação Sistemas 64 bits e funciona perfeitamente.

Pois é, esse pacote, ia32-libs, se encontra até o ubuntu 13.04, por isso que funcionou aí.
É novo no Ubuntu? Já leu o Ubuntu – Guia do Iniciante 2.0 ?
Experimente o Xubuntu 14.04 !

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instalando DraftSight no Ubuntu/Linux Mint
« Resposta #6 Online: 27 de Novembro de 2013, 15:52 »
Pesquisando, o Draftsight tem a seguinte dependência: libxcb-render-util0_0.3.8-1_i386.deb.

Pode ser baixada nesse link.

Esse pacote não faz parte dos repositórios do Ubuntu, mas sim do Debian.
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instalando DraftSight no Ubuntu 13.04/Linux Mint 15
« Resposta #7 Online: 27 de Novembro de 2013, 16:10 »
Corrigi o título do tópico, especificando a versão compatível, para evitar problemas com mais usuários.
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline vampire_thunder

  • Usuário Ubuntu
  • *
  • Mensagens: 735
    • Ver perfil
Re: Instalando DraftSight no Ubuntu 13.04/Linux Mint 15
« Resposta #8 Online: 27 de Novembro de 2013, 23:33 »
Corrigi o título do tópico, especificando a versão compatível, para evitar problemas com mais usuários.

Instalei no Ubuntu 12.04 64 bits sem problemas.

Offline alfredoflorianopolis

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Instalando DraftSight no Ubuntu 12.04, 13.04/Linux Mint 15
« Resposta #9 Online: 09 de Fevereiro de 2014, 23:58 »
oi pessoal, preciso de ajuda

Pergunta 1)   Instalei o DraftSight no Ubuntu 12.04 -64, mas só funcina se desde usuario Root mando abrir os arquivos.64
Alguém pode me auxiliar?

Pergunta 2) |Instalei o Draftsight no kUbuntu 14.04 - 64, mas não consigo fazer que abra arquivos dwg, nem como root nem usuario padão. Da uma mensagem de erro: "os arquivos não existem....." agora bem estes arquivos só poso acessar no UBuntu 12 e só como root.

Que posso fazer para solucionar estes problemas?

Nota: no ruidows  com estes arquivos não tenho problemas, mesmo usando o DraftSight.


(nota: o Ubuntu 14 é muito veloz!!!!)

Offline Tota

  • Usuário Ubuntu
  • *
  • Mensagens: 14.982
    • Ver perfil
Re: Instalando DraftSight no Ubuntu 12.04, 13.04/Linux Mint 15
« Resposta #10 Online: 10 de Fevereiro de 2014, 01:02 »
Citar
Pergunta 1)   Instalei o DraftSight no Ubuntu 12.04 -64, mas só funcina se desde usuario Root mando abrir os arquivos.

Dê permissão aos arquivos do draftsight a seu usuario

Citar
Pergunta 2) |Instalei o Draftsight no kUbuntu 14.04 - 64, mas não consigo fazer que abra arquivos dwg, nem como root nem usuario padão. Da uma mensagem de erro:...

Espere o lançamento da versão final do 14.04

Instalar versão beta dá estes erros, pois ainda esta em desenvolvimento.

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instale DraftSight Ubuntu 12.04, 13.04/Linux Mint 15 e Ubuntu 13.10 64 bits
« Resposta #11 Online: 24 de MAR?O de 2014, 07:06 »
Inserido no dia 23/03/2014 a solução para a instalação da biblioteca ia32-libs no Ubuntu e suas variantes na versão 64 bits.

Obrigado Tota pelo seu post explicando como se faz...!!!
« Última modificação: 24 de MAR?O de 2014, 07:17 por jkmsjq »
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instale DraftSight Ubuntu 12.04, 13.04/Linux Mint 15 e Ubuntu 13.10 64 bits
« Resposta #12 Online: 24 de MAR?O de 2014, 12:49 »
Método mais fácil ainda de instalar o DraftSight sem instalar o meta pacote ia32-lib... Utilizando o bom e velho: GDebi.

É tão fácil e besta que faz-me sentir idiota... ::) ::)


Bons trabalho... :D
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Instale DraftSight Ubuntu 12.04, 13.04/Linux Mint 15 e Ubuntu 13.10 64 bits
« Resposta #13 Online: 24 de MAR?O de 2014, 14:23 »
Olá,

Lembrando que na versão 13.10 do Ubuntu e posteriores, o meta-pacote "ia32-libs" ficou obsoleto.

http://ubuntuforum-br.org/index.php/topic,111744.0.html

Offline jkmsjq

  • Usuário Ubuntu
  • *
  • Mensagens: 3.343
  • Ubuntu Member
    • Ver perfil
Re: Instale DraftSight Ubuntu 12.04, 13.04/Linux Mint 15 e Ubuntu 13.10 64 bits
« Resposta #14 Online: 24 de MAR?O de 2014, 14:25 »
Olá,

Lembrando que na versão 13.10 do Ubuntu e posteriores, o meta-pacote "ia32-libs" ficou obsoleto.

http://ubuntuforum-br.org/index.php/topic,111744.0.html

Tem certeza que você leu meu último post... ???
LinuxUser: 548942 / Dando um tópico como resolvido
"A verdade só é agressiva a quem vive de mentiras". Autor desconhecido.
Twitter: @jeisonkertesz